<?php
/**
 * DeliveryOrderStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * DeliveryOrderStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статусы заказа на доставку. Расшифровка значений:   * &#x60;10&#x60; - Новый   * &#x60;20&#x60; - Передан для доставки   * &#x60;30&#x60; - Готов к выдаче   * &#x60;100&#x60; - Получен   * &#x60;200&#x60; - Отменен
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryOrderStatusEnum
{
    
    /** Новый */
    public const NEW = 10;
    
    /** Передан для доставки */
    public const SHIPPED = 20;
    
    /** Готов к выдаче */
    public const READY_FOR_RECIPIENT = 30;
    
    /** Получен */
    public const DONE = 100;
    
    /** Отменен */
    public const CANCELED = 200;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::SHIPPED,
            self::READY_FOR_RECIPIENT,
            self::DONE,
            self::CANCELED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новый',
            self::SHIPPED => 'Передан для доставки',
            self::READY_FOR_RECIPIENT => 'Готов к выдаче',
            self::DONE => 'Получен',
            self::CANCELED => 'Отменен',
        ];
    }
}


